Header is needed to verify the signature of the signed request.

Fields
KeyIn
X-Yoti-Auth-DigestHeader

Header is used to access your application data.

Fields
KeyIn
X-Yoti-Auth-IdHeader

Endpoints

Liveness

Perform a liveness check

Auth
Query String
noncestring

Value auto-generated by the Web Face Capture Module

timestampstring

Value auto-generated by the Web Face Capture Module

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

Enum: low,medium,high

Default: medium

secure4 fieldsobject

(Required for Web FCM) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

antispoofing_modelstring

(optional) Select a specific antispoofing model to execute. yoti_antispoofing_10 is the current production model. yoti_antispoofing_11 is our ibeta level 3 model. [Please contact us to discuss switching to a different model.]

Enum: yoti_antispoofing_10,yoti_antispoofing_11,yoti_antispoofing_11_thinking,laptop_antispoofing

Default: yoti_antispoofing_10

POST /ai/v1/antispoofing
Responses
200

A prediction was made

predictionstring
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response

Perform a liveness and age estimation check on an image

Auth
Query String
noncestring

Value auto-generated by the Web Face Capture Module

timestampstring

Value auto-generated by the Web Face Capture Module

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

Enum: low,medium,high

Default: medium

secure4 fieldsobject

(Required for Web FCM) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

age_estimation_modelstring

(optional) Select a specific age estimation model to execute.

Enum: mar23,aug24,nist_age_003,nist_age_004

Default: nist_age_003

antispoofing_modelstring

(optional) Select a specific antispoofing model to execute. yoti_antispoofing_10 is the current production model. yoti_antispoofing_11 is our ibeta level 3 model. [Please contact us to discuss switching to a different model.]

Enum: yoti_antispoofing_10,yoti_antispoofing_11,yoti_antispoofing_11_thinking,laptop_antispoofing

Default: yoti_antispoofing_10

POST /ai/v1/age-antispoofing
Responses
200

A prediction was made

objectobject
antispoofingobject
predictionstring
ageobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response

Perform an age estimation check on an image

Auth
Query String
noncestring

Value auto-generated by the Web Face Capture Module

timestampstring

Value auto-generated by the Web Face Capture Module

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

img_validation_levelstring

(optional) The level of validations to be applied against the image and bounding boxes to support different sizes of images.

Enum: low,high

Default: high

secure4 fieldsobject

(Required for Web FCM) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

age_estimation_modelstring

(optional) Select a specific age estimation model to execute.

Enum: mar23,aug24,nist_age_003,nist_age_004

Default: nist_age_003

POST /ai/v1/age
Responses
200

A prediction was made

objectobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response

Perform a liveness and age estimation check on an image

Auth
Headers
Terminal-IDstring

Terminal ID

Session-IDstring

Session ID

Query String
noncestring

Value auto-generated by the Web Face Capture Module

timestampstring

Value auto-generated by the Web Face Capture Module

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

secure4 fieldsobject

(Required for Web FCM) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

age_estimation_modelstring

(optional) Select a specific age estimation model to execute.

Enum: mar23,aug24,nist_age_003,nist_age_004

Default: nist_age_003

POST /ai/v1/self-checkout/age-antispoofing
Responses
200

A prediction was made

objectobject
antispoofingobject
predictionstring
ageobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

500

Internal server error

503

Service temporarily unavailable

Response